Your message dated Tue, 15 Dec 2015 00:25:07 +0000
with message-id <e1a8dqr-00018o...@franck.debian.org>
and subject line Bug#802087: fixed in node-groove 2.5.0-1
has caused the Debian Bug report #802087,
regarding node-groove: FTBFS: gn_file.h:8:40: error: expected class-name before 
‘{’ token
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
802087: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=802087
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: node-groove
Version: 2.2.6-2
Severity: serious
Justification: fails to build from source
Tags: sid stretch
User: reproducible-bui...@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-CC: reproducible-bui...@lists.alioth.debian.org

Dear Maintainer,

The package fails to build:

gyp info spawn make
gyp info spawn args [ 'BUILDTYPE=Release', '-C', 'build' ]
make[2]: Entering directory '/node-groove-2.2.6/build'
  CXX(target) Release/obj.target/groove/src/groove.o
In file included from ../src/groove.cc:3:0:
../src/gn_file.h:8:40: error: expected class-name before ‘{’ token
 class GNFile : public node::ObjectWrap {
                                        ^
../src/gn_file.h:13:53: error: ‘Arguments’ in namespace ‘v8’ does not name a 
type
         static v8::Handle<v8::Value> Open(const v8::Arguments& args);
                                                     ^
../src/gn_file.h:21:52: error: ‘Arguments’ in namespace ‘v8’ does not name a 
type
         static v8::Handle<v8::Value> New(const v8::Arguments& args);
                                                    ^
../src/gn_file.h:24:27: error: ‘AccessorInfo’ in namespace ‘v8’ does not name a 
type
                 const v8::AccessorInfo &info);
                           ^
../src/gn_file.h:26:27: error: ‘AccessorInfo’ in namespace ‘v8’ does not name a 
type
                 const v8::AccessorInfo &info);
                           ^

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/node-groove.html

-- System Information:
Debian Release: stretch/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

--- End Message ---
--- Begin Message ---
Source: node-groove
Source-Version: 2.5.0-1

We believe that the bug you reported is fixed in the latest version of
node-groove, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 802...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felipe Sateler <fsate...@debian.org> (supplier of updated node-groove package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 Dec 2015 21:05:55 -0300
Source: node-groove
Binary: node-groove
Architecture: source amd64
Version: 2.5.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Felipe Sateler <fsate...@debian.org>
Description:
 node-groove - bindings to libgroove - generic music player library - Node.js mo
Closes: 802087
Changes:
 node-groove (2.5.0-1) unstable; urgency=medium
 .
   * New upstream release
     - Fix build with nan 2. Closes: #802087
     - Drop patch applied upstream
     - Replace node with nodejs in bindings.gyp
   * Bump standards version
   * Fix typo in copyright file
Checksums-Sha1:
 af4dcd6b80781a92e3938a9d7de04ac739866983 2237 node-groove_2.5.0-1.dsc
 d11207aab9faa74b94ae2a6132c11e7f7af831b5 104530 node-groove_2.5.0.orig.tar.gz
 b431fa7daf8109e444113481a77e46d0e53c7bba 3148 node-groove_2.5.0-1.debian.tar.xz
 3e2567ad7928295b9357414ef2140234931bde30 44598 node-groove_2.5.0-1_amd64.deb
Checksums-Sha256:
 65b31b2ff6d856969139c6ec9899c36d90065aff4c8a46976b803fcc8bdf2947 2237 
node-groove_2.5.0-1.dsc
 b6b49caec2d492013eb8e0c7ebaaaa8a02969e6652d4d0884c8f5db093176111 104530 
node-groove_2.5.0.orig.tar.gz
 d4ef4444f1b11719ae47e471068c45ff843305d12f4e631b647e9b145545c799 3148 
node-groove_2.5.0-1.debian.tar.xz
 11f868d15222781dae9de57353159b8c87b40c9fcaf94669b36cfd9d444d7c95 44598 
node-groove_2.5.0-1_amd64.deb
Files:
 f5662c0b261ae3ea33a6718f6e776c54 2237 web extra node-groove_2.5.0-1.dsc
 5df7ff35c6766f9957d139ad0725fdb7 104530 web extra node-groove_2.5.0.orig.tar.gz
 389e308be7f71b47e026e040f91c2ad7 3148 web extra 
node-groove_2.5.0-1.debian.tar.xz
 673b5961223bfa2693baf5ae2554b979 44598 web extra node-groove_2.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJWb1sWAAoJEKO6uuJAjdbP1VoP/jzHDUWmcZUSSS203FTsvhfi
qzF2vbXE1ym8ejLi2Qv/kCnxjEysliNLKtom2FRgWhcq8ZiSm4UruL6MEM72ViSq
xmKthHLUxSAKMOGICie5mAUY0rv45FusGFGIgyRf+pX70Lbpai0fxWlZ95cRhFs8
H16iTDtjGjFuh3o4Faoso3yn2Tvokt6WIbPfgDNDNGB7cF1fveiuDyGegv7PTesP
QHu01N2hzrfqTj+tRGnkJaflGvmcB1DKFVPjLjYn5yEGoyLMHkwq9mvPTU/ZTn9+
yI8Izo3IglOT5sGW0w105KVgNFcdoW5uhLr2GOfCLMIUO2nP3t4dfc0ZCfuj8gEt
wI2W0kX23E6pm42pj52pe6mxRLthuEadr/w21DcAmnk8mEaks3bubOq+486ZIb2o
3DmDgv9hn0tP+sEJEO0Xi6+me9cWy4tHPbN/0wxpT+5rIzeFJ1VMWTWCUG+3SKaS
fipIrUdgLRiCFyTPdrclt6dqrn8mDHal1TG3zbwaIq76oAs3Z02PkBzZIfiHnWDQ
PUGZjdgEjGXeisFBthu+JYSc9SttRX0oS89XaVX8pmyzZfFXIm56vi9u8ZbATbBw
KqLV/XWC9bZT4OtnUPU8A6AeMQOdPbtamwfr7LokXLzaAIq4XPqWRQt5W8yEys9p
l7Q9DqFeQYPPRP+mYJAL
=Pcev
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to